#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
#------------------------------------------------------------------------
function(ax_64_bit)
  #----------------------------------------------------------------------
  # 64 bit system support
  #----------------------------------------------------------------------
  if ( APPLE )
    set( LIBSUFFIX "" CACHE INTERNAL "" )
  else ( APPLE )
    get_property( LIB64 GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS )
    if ( "${LIB64}" STREQUAL "TRUE" )
      set( LIBSUFFIX 64 CACHE INTERNAL "" )
    else()
      set( LIBSUFFIX "" CACHE INTERNAL "" )
    endif()
  endif ( APPLE )
endfunction(ax_64_bit)
