#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------
function(ax_packaging_macports)
  find_program(MACPORTSBUILD port)
  if (NOT PROJECT_PORTFILE)
    set(PROJECT_PORTFILE ${CMAKE_CURRENT_SOURCE_DIR}/Portfile.in)
  endif (NOT PROJECT_PORTFILE)
  if (MACPORTSBUILD)
    add_custom_target(macports
		      DEPENDS dist)
    configure_file( ${PROJECT_PORTFILE}
		    ${CMAKE_CURRENT_BINARY_DIR}/test_port/science/${PACKAGE}/Portfile )
  else(MACPORTSBUILD)
    add_custom_target(port
		      COMMAND ${CMAKE_COMMAND} -E echo "This platform does not support building of MacPorts packages")
  endif(MACPORTSBUILD)
endfunction(ax_packaging_macports)