/*-----------------------------------------------------------*/
/* test the FFT code */
/*-----------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "srfftw.h"
 
#define NDATA 2048 
/*--------------------------------------------------------------------*/
int main(int argc, char *argv[])   /*-------------- main ----*/
{fftw_real input[NDATA], output[NDATA];
  rfftw_plan plan;           /* FFTW plan                                    */
 int i;

 printf(" size is:%d\n",fftw_sizeof_fftw_real());

 plan = rfftw_create_plan(NDATA,FFTW_REAL_TO_COMPLEX,FFTW_ESTIMATE);

 for(i=0; i<NDATA; i++) {input[i] = i;}

 for(i=0; i<10000; i++) {rfftw_one(plan, input, output);}

 printf(" FFTW word size was:%d\n",fftw_sizeof_fftw_real());
 return(0);
}
